DescribeDB (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class DescribeDB

    java.lang.Object
      com.bbn.openmap.layer.vpf.DescribeDB

Direct Known Subclasses:
  GenerateVPFProperties

    public class DescribeDB

extends java.lang.Object

This class will print out some basic information about a VPF database.

      Usage:
      java com.bbn.openmap.layer.vpf.DescribeDB /path/to/vpf/database

It will then print out a description of the coverages for the database to the command line. (no GUI)

Constructor Summary
`DescribeDB()`

Method Summary
`static void` | `main(java.lang.String[] args)` The main program.
`static void` | `print(java.lang.String s)` Prints a string to System.out without a newline
`static void` | `print(java.lang.String s1, java.lang.String s2)` Prints two strings to System.out without a newline
`static void` | `printCoverage(java.lang.String prefix, CoverageAttributeTable cat, java.lang.String covname)` Prints a VPF Coverage
`static void` | `printLibrary(java.lang.String prefix, CoverageAttributeTable cat)` Prints a VPF Library
`static void` | `println()` Prints a newline to System.out
`static void` | `println(java.lang.String s)` Prints a string to System.out with a newline
`static void` | `println(java.lang.String s1, java.lang.String s2)` Prints two strings to System.out with a newline

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescribeDB

    public DescribeDB()

Method Detail

### println

    public static void println()

  Prints a newline to System.out

### println

    public static void println(java.lang.String s)

  Prints a string to System.out with a newline

  Parameters:
    `s` - the string to print

### println

    public static void println(java.lang.String s1,
                               java.lang.String s2)

  Prints two strings to System.out with a newline

  Parameters:
    `s1` - the string to print
    `s2` - the string to print

### print

    public static void print(java.lang.String s1,
                             java.lang.String s2)

  Prints two strings to System.out without a newline

  Parameters:
    `s1` - the string to print
    `s2` - the string to print

### print

    public static void print(java.lang.String s)

  Prints a string to System.out without a newline

  Parameters:
    `s` - the string to print

### main

    public static void main(java.lang.String[] args)
                     throws FormatException

  The main program. Takes path arguments, and prints the DB it finds

  Parameters:
    `args` - the paths to print
  Throws:
    `FormatException`

### printLibrary

    public static void printLibrary(java.lang.String prefix,
                                    CoverageAttributeTable cat)

  Prints a VPF Library

  Parameters:
    `prefix` - lines get printed with this prefix
    `cat` - the CoverageAttributeTable (Library) to print

### printCoverage

    public static void printCoverage(java.lang.String prefix,
                                     CoverageAttributeTable cat,
                                     java.lang.String covname)

  Prints a VPF Coverage

  Parameters:
    `prefix` - lines get printed with this prefix
    `covname` - the name of the coverage to print
    `cat` - the CoverageAttributeTable to get the Coverage from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details